package ink.wgink.module.file.media.enums;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: ConvertStatusEnum
 * @Description: 转码状态
 * @Author: wanggeng
 * @Date: 2021/6/13 5:06 下午
 * @Version: 1.0
 */
public enum ConvertStatusEnum {

    UN_CONVERTED("UN_CONVERTED", "未转码"),
    CONVERTING("CONVERTING", "转码中"),
    CONVERTED("CONVERTED", "已转码");

    String value;
    String summary;

    ConvertStatusEnum(String value, String summary) {
        this.value = value;
        this.summary = summary;
    }

    public String getValue() {
        return value == null ? "" : value;
    }

    public String getSummary() {
        return summary == null ? "" : summary;
    }
}
